package be.iminds.ilabt.jfed.testing.base;

import javax.annotation.Nonnull;
import javax.annotation.Nullable;
import java.util.Collections;
import java.util.List;

/**
 * EmptyApiTestConfigEditor
 */
public class EmptyApiTestConfigEditor implements ApiTestConfigEditor<EmptyApiTestConfig> {
    @Nonnull
    @Override
    public List<ApiTestConfigParameter> getParameters() {
        return Collections.emptyList();
    }

    @Override
    public void setParameter(@Nonnull ApiTestConfigParameter parameter, @Nullable Object value) {
        //does nothing
    }

    @Nullable
    @Override
    public Object getParameter(@Nonnull ApiTestConfigParameter parameter) {
        return null;
    }

    @Override
    public void setConfig(@Nonnull EmptyApiTestConfig apiTestConfig) {
        //does nothing
    }

    @Nonnull
    @Override
    public EmptyApiTestConfig build() {
        return new EmptyApiTestConfig();
    }
}
